%define anolis_release 2

Summary: X.Org X11 libXrandr runtime library
Name: libXrandr
Version: 1.5.3
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

Requires: libX11 >= 1.6

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: pkgconfig(randrproto) >= 1.5
BuildRequires: pkgconfig(renderproto)
BuildRequires: pkgconfig(x11) >= 1.6
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xrender)

%description
X.Org X11 libXrandr runtime library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libXrandr development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXrandr development package

%prep
%setup -q -n %{name}-%{version}

%build
%configure  --disable-static
%make_build

%install
%make_install

%files
%license COPYING
%{_libdir}/libXrandr.so.*

%files doc
%doc AUTHORS README.md ChangeLog

%files devel
%{_includedir}/X11/extensions/Xrandr.h
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_mandir}/man3/*.3*

%changelog
* Sat May 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.3-2
- rebuild with libX11 update

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.5.3-1
- New version 1.5.3

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.2-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.2-1
- Init from upstream version 1.5.2

